Bug 160261 - NetBeans doesn't even start
NetBeans doesn't even start
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
PC All
: P1 (vote)
: 6.x
Assigned To: Vitezslav Stejskal
issues@editor
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-13 15:19 UTC by Peter Nabbefeld
Modified: 2009-03-25 09:28 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
The log file (61.36 KB, text/plain)
2009-03-13 15:20 UTC, Peter Nabbefeld
Details
dump (98.68 KB, text/plain)
2009-03-20 13:10 UTC, Peter Nabbefeld
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Nabbefeld 2009-03-13 15:19:25 UTC
NetBeans stops completely (still with splashscreen) while it should start
Comment 1 Peter Nabbefeld 2009-03-13 15:20:46 UTC
Created attachment 78148 [details]
The log file
Comment 2 Martin Schovanek 2009-03-18 15:20:07 UTC
Can you please attach a Thread Dump? For more information see:
http://wiki.netbeans.org/GenerateThreadDump
Comment 3 Peter Nabbefeld 2009-03-18 17:02:07 UTC
Do You really expect me to have a non-starting IDE installed for about a week????
Comment 4 Martin Schovanek 2009-03-19 15:22:24 UTC
We can't do anything in this case. If you encounter this issue again please attach the thread dump and reopen it.
Comment 5 Peter Nabbefeld 2009-03-19 18:30:26 UTC
I'll not use current daily builds, either, as even the hudsun build system almost fails since several weeks :-(
Comment 6 Peter Nabbefeld 2009-03-20 13:10:50 UTC
Created attachment 78515 [details]
dump
Comment 7 Peter Nabbefeld 2009-03-20 13:11:37 UTC
crash, s.above
Comment 8 mslama 2009-03-23 10:06:10 UTC
Reason is that editor settings instantiate Swing component out of AWT thread => deadlock between Awt and Folder Instance
Processor threads. Passing to editor.
Comment 9 Vitezslav Stejskal 2009-03-23 11:41:18 UTC
I'll have a look.
Comment 10 Vitezslav Stejskal 2009-03-23 12:36:44 UTC
http://hg.netbeans.org/jet-main/rev/54cbd2021c6c
Comment 11 Quality Engineering 2009-03-25 09:28:12 UTC
Integrated into 'main-golden', will be available in build *200903250219* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/54cbd2021c6c
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #160261 - do not instantiate objects that claim to be Action, but in fact are not


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo